/* General Styles */
body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

/* Navigation Styles */
nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: linear-gradient(to right, white, #0064b4);
  padding: 10px 20px;
  color: #fff;
}

.logo {
  height: 50px;
}

.nav-links {
  flex-direction: column;
  display: block;
  gap: 20px;
}

.nav-links a {
  color: #fff;
  text-decoration: none;
  transition: color 0.3s;
  margin: 0px 10px;
}

.nav-links a:hover {
  color: #ff5722;
}

.menu-icon {
  display: none;
  cursor: pointer;
}
.sidebar {
  position: fixed;
  top: 0%;
  right: 0%;
  height: 100vh;
  width: 250px;
  z-index: 999;
  background-color: rgba(255, 255, 255, 0.507);
  backdrop-filter: blur(10px);
  box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
  display: none;
  flex-direction: column;
  /* align-items: flex-start;
  justify-content: flex-start; */
}
.a-11 {
  padding: 30px;
  display: flex;
  padding-top: 30px;
}
.a-11 :hover {
  color: red;
}

.mobile-menu {
  position: fixed;
  top: 0%;
  right: 0%;
  height: 100vh;
  width: 250px;
  z-index: 999;
  background-color: rgba(255, 255, 255, 0.507);
  backdrop-filter: blur(10px);
  box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
  display: none;
  flex-direction: column;

  /* display: none;
  flex-direction: column;
  gap: 15px;
  background-color: #333;
  position: absolute;
  top: 50px;
  width: 100%;
  left: 0;
  padding: 20px; */
}

.mobile-menu a {
  color: #fff;
  text-decoration: none;
}

/* Header Styles */
header {
  height: 60vh;
  background: url("images/p/bg-img.jpg") no-repeat center center/cover;
  color: #fff;
  text-align: center;
  padding: 100px 20px;
}

.header-content {
  max-width: 800px;
  margin: auto;
}

.header-content h1 {
  margin-bottom: 20px;
  font-size: 50px;
}

.header-content button {
  padding: 20px 150px;
  background-color: #ff5722;
  border: none;
  color: #fff;
  cursor: pointer;
  font-size: large;
  font-style: bold;
  border: #fff solid;
  border-radius: 10px;
}

/* Contact Form Popup Styles */
.contact-form-popup {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  justify-content: center;
  align-items: center;
}

.contact-form {
  background-color: #fff;
  padding: 20px;
  border-radius: 5px;
  width: 500px;
  text-align: center;
  position: relative;
  padding-right: 20px;
}

.contact-form .close-btn,
.contact-form .remove-btn {
  position: absolute;
  top: 10px;
  cursor: pointer;
}

.contact-form .close-btn {
  right: 10px;
}

.contact-form .remove-btn {
  left: 10px;
}

.contact-form h2 {
  margin-bottom: 20px;
}

.contact-form input,
.contact-form textarea {
  width: 80%;
  margin-bottom: 10px;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.contact-form button {
  display: block;
  background-color: #ff5722;
  color: #fff;
  border: none;
  padding: 10px 100px;
  cursor: pointer;
  border-radius: 5px;
  justify-content: center;
  align-items: center;
}

/* Ongoing Projects Section Styles */
#projects {
  padding: 50px 20px;
  text-align: center;
  background-color: #f1f6fa;
}

.projects-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.project-card {
  background-color: white;
  padding: 20px;
  margin: 10px;
  width: 300px;
  border-radius: 5px;
  text-align: center;
  transition: transform 0.2s;
}

.project-card:hover {
  transform: scale(1.05);
}

.project-card img {
  width: 100%;
  height: auto;
  border-radius: 5px;
}

.project-card h3 {
  margin: 10px 0;
}

.project-card p {
  color: #555;
}

/* Services Section Styles */
#services {
  margin: 0px 10%;
  padding: 50px 20px;
  text-align: center;
  justify-content: space-around;
}

.services-container {
  display: flex;
  justify-content: space-around;
  align-items: start;
  gap: 100px;
  /* background-color: #00d2ff; */
}

.services-container img {
  width: 50%;
  height: auto;
  border-radius: 5px;
}

.services-container ul {
  list-style: none;
  padding: 0;
  width: 50%;
  text-align: left;
  font-size: large;
}

.services-container li {
  margin-bottom: 10px;
}

.services-container .star-icon {
  color: #ff5722;
  margin-right: 10px;
}

/* Values Section Styles */
#values {
  padding: 50px 20px;
  text-align: center;
  background-color: #f1f6fa;
}
#values h2 {
  font-size: 50px;
  color: #0064b4;
  margin: 0px;
}
#values p {
  font-size: 20px;
  color: gray;
  margin-bottom: 20px;
}

.values-container {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  gap: 20px;
}

.values-card {
  background-color: white;
  padding: 20px;
  width: 500px;
  border-radius: 5px;
}

.values-card ul {
  list-style: none;
  padding: 0;
  text-align: left;
}

.values-card li {
  margin-bottom: 10px;
}

.values-card .star-icon {
  color: #ff5722;
  margin-right: 10px;
}

/* About Us Section Styles */
#about {
  padding: 50px 20px;
  text-align: center;
}

#about p {
  max-width: 800px;
  margin: auto;
}
/* About Us Section Styles */
#about {
  padding: 50px 20px;
  text-align: center;
}

.about-container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  flex-direction: row;

  margin: 10px 20%;
}

.about-container img {
  width: 300px;
  height: auto;
  border-radius: 5px;
}

.about-container p {
  max-width: 500px;
  text-align: left;
}

/* Our Mission Section Styles */
#mission {
  padding: 50px 20px;
  text-align: center;
}

.mission-container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  flex-direction: row-reverse;
}

.mission-container img {
  width: 300px;
  height: auto;
  border-radius: 5px;
}

.mission-container p {
  max-width: 500px;
  text-align: left;
}

/* Footer Styles */
footer {
  background-color: #333;
  color: #fff;
  text-align: center;
  padding: 20px;
}

/* Responsive Styles */
@media (max-width: 768px) {
  .nav-links {
    display: none;
  }
  .values-card {
    background-color: white;
    padding: 20px;
    width: 300px;
    border-radius: 5px;
    justify-content: center;
    margin: auto;
  }
  .menu-icon {
    display: block;
  }
  .header-content button {
    padding: 10px 100px;
    background-color: #ff5722;
    border: none;
    color: #fff;
    cursor: pointer;
    font-size: large;
    font-style: bold;
    border: #fff solid;
    border-radius: 10px;
  }

  .mobile-menu {
    display: block;
  }
  #services p {
    font-size: 15px;
    color: grey;
  }

  .services-container {
    flex-direction: column;
  }

  .services-container img,
  .services-container ul {
    width: 100%;
  }

  .values-container {
    flex-direction: column;
  }

  .about-container,
  .mission-container {
    flex-direction: column;
  }

  .about-container img,
  .mission-container img {
    width: 100%;
  }

  .about-container p,
  .mission-container p {
    max-width: 100%;
  }
}
